Bug 55364 - Kernel misreports capacity of large SCSI devices
Summary: Kernel misreports capacity of large SCSI devices
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.2
Hardware: i686
OS: Linux
medium
low
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-30 12:11 UTC by Per Steinar Iversen
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-04 22:22:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Per Steinar Iversen 2001-10-30 12:11:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011012

Description of problem:
The kernel misreports the capacity of large scsi devices during boot

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Attach large scsi device
2.Boot linux
3.Examine dmesg output
	

Actual Results:  A large SCSI array is reported like this:

SCSI device sde: 1367186688 512-byte hdwr sectors (-399511 MB)

Presumably an overflow of some sort in the kernel.

Expected Results:  SCSI device sde: 1367186688 512-byte hdwr sectors
(73407865 MB)

or something similar.

Additional info:

Comment 1 Arjan van de Ven 2001-11-04 22:22:09 UTC
Linux is currently limited to 1Tb device size..... We're working on improving
that but it will take time.


Note You need to log in before you can comment on or make changes to this bug.